import { Pipe, PipeTransform } from '@angular/core';

@Pipe({
  name: 'orderCinemaStatus',
  standalone: true
})
export class OrderCinemaStatusPipe implements PipeTransform {

  transform(value: number): any {
    switch (value) {
      case 0:
        return '未上送';
      case 5:
        return '待出票';
      case 10:
        return '已出票';
      case 15:
        return '交易成功';
      case -5:
        return '已取消';
      default:
        return '未知状态'
    }
  }

}
