import { Pipe, PipeTransform } from '@angular/core';
import {aliLogo, gzBankLogo, hltLogo, noPayLogo, wxLogo} from "../../data/goods/goods.namespace";

@Pipe({
  name: 'payType',
  standalone: true
})
export class PayTypePipe implements PipeTransform {

  transform(value: number): any {
    switch (value) {
      case 1:
        return "icon-weixin";
      case 2:
        return "icon-zhifubao";
      case 3:
        return "icon-guizhouyinhanglogo";
      case 4:
        return "icon-work_icon_party-01";
      default:
        return "icon-daizhifu"
    }
  }

}
