import { Pipe, PipeTransform } from '@angular/core';

@Pipe({
  name: 'businessType',
  standalone: true
})
export class BusinessTypePipe implements PipeTransform {

  transform(value: number): any {
    switch (value) {
      case 1:
        return '实物产品';
      case 2:
        return '虚拟产品';
      case 3:
        return '肯德基';
      case 4:
        return '星巴克';
      case 5:
        return '支付订单';
      case 6:
        return '物流上传订单';
      case 7:
        return '物流下载订单';
      case 10:
        return '结算详情';
      case 11:
        return '结算统计';
      case 12:
        return '结算总和';
      default:
        return '未知状态'
    }
  }

}
