import { Pipe, PipeTransform } from '@angular/core';

@Pipe({
  name: 'status',
  standalone: true
})
export class StatusPipe implements PipeTransform {

  transform(value: number): any {
    switch (value) {
      case 1:
        return '成功';
      case 2:
        return '导出中';
      case 3:
        return '失败';
      default:
        return '未知状态'
    }
  }

}
