import { Pipe, PipeTransform } from '@angular/core';

@Pipe({
  name: 'orderChildStatus',
  standalone: true
})
export class OrderChildStatusPipe implements PipeTransform {

  transform(value: number): any {
    switch (value) {
      case 1:
        return '待支付';
      case 2:
        return '已支付';
      case 3:
        return '已完成';
      case 4:
        return '已退款';
      case 5:
        return '已取消';
      case 6:
        return '售后中';
      default:
        return '未知状态'
    }
  }

}
