import { Pipe, PipeTransform } from '@angular/core';

@Pipe({
  name: 'orderStarbucksType',
  standalone: true
})
export class OrderStarbucksTypePipe implements PipeTransform {

  transform(value: number): any {
    switch (value) {
      case 0:
        return 'warning';
      case 5:
        return 'processing';
      case 10:
        return 'processing';
      case 15:
        return 'success';
      case 20:
        return 'processing';
      case 25:
        return 'success';
      case -5:
        return 'default';
      case -10:
        return 'error';
      default:
        return 'error'
    }
  }

}
