import { Injectable } from '@angular/core';
import {environment} from "../../../environments/environment";
import {ObjectData} from "../../utils/objectData.service";
import {HttpClient} from "@angular/common/http";

@Injectable({
  providedIn: 'root'
})
export class SettlementService {

  constructor(private http: HttpClient) { }

  public settlementDetail(param: object, callBack:any) {
    this.http.get(environment.orderUrl + 'settlement/settlementDetail?'+ObjectData.objectByString(param)).subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 订单导出
   * @param param
   * @param callBack
   */
  public exportSettlementDetail(param: object, callBack:any) {
    this.http.get(environment.orderUrl + 'settlement/exportSettlementDetail?'+ObjectData.objectByString(param)).subscribe(data => {
      callBack(data);
    });
  }

  public getSettlement(param: object, callBack:any) {
    this.http.get(environment.orderUrl + 'settlement/getSettlement?'+ObjectData.objectByString(param)).subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 订单导出
   * @param param
   * @param callBack
   */
  public exportSettlement(param: object, callBack:any) {
    this.http.get(environment.orderUrl + 'settlement/exportSettlement?'+ObjectData.objectByString(param)).subscribe(data => {
      callBack(data);
    });
  }

  public getSum(param: object, callBack:any) {
    this.http.get(environment.orderUrl + 'settlement/getSum?'+ObjectData.objectByString(param)).subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 订单导出
   * @param param
   * @param callBack
   */
  public exportSettlementSum(param: object, callBack:any) {
    this.http.get(environment.orderUrl + 'settlement/exportSettlementSum?'+ObjectData.objectByString(param)).subscribe(data => {
      callBack(data);
    });
  }
}
